package eu.eudat.models.rda.mapper;

import eu.eudat.data.entities.UserDMP;
import eu.eudat.models.rda.Contributor;

import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;

public class ContributorRDAMapper {

	public static Contributor toRDA(UserDMP userDMP) {
		Contributor rda = new Contributor();
		rda.setContributorId(ContributorIdRDAMapper.toRDA(userDMP.getUser().getId()));
		rda.setName(userDMP.getUser().getName());
		rda.setMbox(userDMP.getUser().getEmail());
		rda.setRole(new HashSet<>(Arrays.asList(UserDMP.UserDMPRoles.fromInteger(userDMP.getRole()).name())));
		return rda;
	}
}
